import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsHost } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-12 11:28
 */
interface DevopsHostCU extends ConditionUtil<DevopsHostCU> {
    ID: FieldUtil<DevopsHostCU>;
    CLOUD_PLATFORM: FieldUtil<DevopsHostCU>;
    REGION_ID: FieldUtil<DevopsHostCU>;
    INSTANCE_ID: FieldUtil<DevopsHostCU>;
    IP: FieldUtil<DevopsHostCU>;
    HOST_TYPE: FieldUtil<DevopsHostCU>;
    INSTANCE_NAME: FieldUtil<DevopsHostCU>;
    OPERATIN_SYSTEM: FieldUtil<DevopsHostCU>;
    BUSINESS_GROUP: FieldUtil<DevopsHostCU>;
    INSTANCE_SPECIFICATIONS: FieldUtil<DevopsHostCU>;
    CPU: FieldUtil<DevopsHostCU>;
    MEMORY: FieldUtil<DevopsHostCU>;
    DISK_NUMBER: FieldUtil<DevopsHostCU>;
    RUNNING_STATE: FieldUtil<DevopsHostCU>;
    BUY_TIME: FieldUtil<DevopsHostCU>;
    EXPIRE_TIME: FieldUtil<DevopsHostCU>;
    REMARK: FieldUtil<DevopsHostCU>;
    CREATE_TIME: FieldUtil<DevopsHostCU>;
    UPDATE_TIME: FieldUtil<DevopsHostCU>;
    BUSINESS_AREA: FieldUtil<DevopsHostCU>;
    BILLING_WAY: FieldUtil<DevopsHostCU>;
    CLOUD_ACCOUNT_ID: FieldUtil<DevopsHostCU>;
}
declare class DevopsHostMU extends TableUtilImpl<DevopsHostCU, DevopsHost> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsHostCU;
    static get ID(): FieldUtil<DevopsHostCU>;
    static get CLOUD_PLATFORM(): FieldUtil<DevopsHostCU>;
    static get REGION_ID(): FieldUtil<DevopsHostCU>;
    static get INSTANCE_ID(): FieldUtil<DevopsHostCU>;
    static get IP(): FieldUtil<DevopsHostCU>;
    static get HOST_TYPE(): FieldUtil<DevopsHostCU>;
    static get INSTANCE_NAME(): FieldUtil<DevopsHostCU>;
    static get OPERATIN_SYSTEM(): FieldUtil<DevopsHostCU>;
    static get BUSINESS_GROUP(): FieldUtil<DevopsHostCU>;
    static get INSTANCE_SPECIFICATIONS(): FieldUtil<DevopsHostCU>;
    static get CPU(): FieldUtil<DevopsHostCU>;
    static get MEMORY(): FieldUtil<DevopsHostCU>;
    static get DISK_NUMBER(): FieldUtil<DevopsHostCU>;
    static get RUNNING_STATE(): FieldUtil<DevopsHostCU>;
    static get BUY_TIME(): FieldUtil<DevopsHostCU>;
    static get EXPIRE_TIME(): FieldUtil<DevopsHostCU>;
    static get REMARK(): FieldUtil<DevopsHostCU>;
    static get CREATE_TIME(): FieldUtil<DevopsHostCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsHostCU>;
    static get BUSINESS_AREA(): FieldUtil<DevopsHostCU>;
    static get BILLING_WAY(): FieldUtil<DevopsHostCU>;
    static get CLOUD_ACCOUNT_ID(): FieldUtil<DevopsHostCU>;
    get ID(): FieldUtil<DevopsHostCU>;
    get CLOUD_PLATFORM(): FieldUtil<DevopsHostCU>;
    get REGION_ID(): FieldUtil<DevopsHostCU>;
    get INSTANCE_ID(): FieldUtil<DevopsHostCU>;
    get IP(): FieldUtil<DevopsHostCU>;
    get HOST_TYPE(): FieldUtil<DevopsHostCU>;
    get INSTANCE_NAME(): FieldUtil<DevopsHostCU>;
    get OPERATIN_SYSTEM(): FieldUtil<DevopsHostCU>;
    get BUSINESS_GROUP(): FieldUtil<DevopsHostCU>;
    get INSTANCE_SPECIFICATIONS(): FieldUtil<DevopsHostCU>;
    get CPU(): FieldUtil<DevopsHostCU>;
    get MEMORY(): FieldUtil<DevopsHostCU>;
    get DISK_NUMBER(): FieldUtil<DevopsHostCU>;
    get RUNNING_STATE(): FieldUtil<DevopsHostCU>;
    get BUY_TIME(): FieldUtil<DevopsHostCU>;
    get EXPIRE_TIME(): FieldUtil<DevopsHostCU>;
    get REMARK(): FieldUtil<DevopsHostCU>;
    get CREATE_TIME(): FieldUtil<DevopsHostCU>;
    get UPDATE_TIME(): FieldUtil<DevopsHostCU>;
    get BUSINESS_AREA(): FieldUtil<DevopsHostCU>;
    get BILLING_WAY(): FieldUtil<DevopsHostCU>;
    get CLOUD_ACCOUNT_ID(): FieldUtil<DevopsHostCU>;
}
export { DevopsHostMU, DevopsHostCU };
